Skip to main content
POST
/
members
/
{member_guid}
/
verify
Verify member
curl --request POST \
  --url https://int-data.moneydesktop.com/members/{member_guid}/verify \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '
{
  "include_transactions": true
}
'
{
  "member": {
    "aggregated_at": "2016-10-13T18:07:57.000Z",
    "background_aggregation_is_disabled": false,
    "connection_status": "CONNECTED",
    "external_guid": null,
    "guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
    "institution_code": "chase",
    "institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
    "is_being_aggregated": false,
    "is_managed_by_user": false,
    "is_oauth": false,
    "is_user_created": true,
    "most_recent_job_guid": "JOB-d6bb804b-6d12-44f1-b0ad-403441c03372",
    "metadata": "\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\\"",
    "name": "Chase Bank",
    "successfully_aggregated_at": "2016-10-13T17:57:38.000Z",
    "use_cases": [
      "PFM"
    ],
    "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
  }
}
This endpoint gathers information about account and routing numbers. Partners may optionally choose to transaction data in this request, potentially avoiding a separate aggregate member request. The verification workflow is similar to standard aggregation. Start the verification, poll the member, answer MFA if necessary by using the list member MFA challenges endpoint and the update member endpoint, poll the status again, then read the member’s account_numbers. Before making a request to this endpoint, partners must make sure verification is enabled for the member’s institution. Specifically, the institution’s supports_account_verification field must be true. If the institution does not support verification, a 400 Bad Request error will be returned with the message, Member's institution does not support instant account verification. If a request to this endpoint fails with a status of 403 Forbidden but the member’s institution nevertheless shows that verification is enabled, please contact support.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

member_guid
string
required

The unique identifier for the account. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
include_transactions
boolean

When set to true, the verification will gather transaction data along with account number data. Defaults to false.

Response

200 - application/vnd.mx.api.v1+json

OK

member
object